summaryrefslogtreecommitdiff
path: root/bin/mw
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2019-04-22 15:36:56 -0400
committerLuke Smith <luke@lukesmith.xyz>2019-04-22 15:36:56 -0400
commit2eceb9fdb85b68a29a2a4e309ca6e7216f34d0ee (patch)
tree3c3b8ba5a315801f62b56326241c872657663256 /bin/mw
parentbc575177bdf04603c95fd185d4951577e6410491 (diff)
move to avoid error
Diffstat (limited to 'bin/mw')
-rwxr-xr-xbin/mw4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/mw b/bin/mw
index febc2dc..ec861f9 100755
--- a/bin/mw
+++ b/bin/mw
@@ -150,11 +150,11 @@ EOF
read -r login
printf "\033[0m"
[ -z "$login" ] && login="$fulladdr"
- getaccounts
- for x in $(seq 1 9); do echo "$accounts" | grep "$x" || { export idnum="$x"; break ;}; done
getpass
getprofiles
mkdir -p "$muttdir" "$accdir/$title" "$cachedir/mutt-wizard/$title/cache/bodies" "$HOME/.config/msmtp"
+ getaccounts
+ for x in $(seq 1 9); do echo "$accounts" | grep "$x" >/dev/null 2>&1 || { export idnum="$x"; break ;}; done
[ ! -f "$HOME/.config/msmtp/config" ] && echo "$msmtp_header" > "$HOME/.config/msmtp/config"
echo "$msmtp_profile" >> "$HOME/.config/msmtp/config"
echo "$mutt_profile" > "$accdir/$idnum-$title.muttrc"